wordpress无法安装插件、主题,高亮插件错误的解决办法

《wordpress无法安装插件、主题,高亮插件错误的解决办法》
环境:Centos 6.9  Apache 2.2.15
入坑VPS后就懒得折腾了,要不博客也不会这么空。但最近给婷婷弄博客时发现好多问题,首先无法在线安装主题和插件,这个到无所谓,可以SSH上传,反正用的也不多。当我安装高亮插件插入代码时bug来了,后面的内容都不见了,不见了……
网上查了好多方法,都说是目录读写权限不够,但是即便改为777也还是没解决,这样做还很危险。最后据说是用户组的问题,折腾了好一会才弄好,没办法,Linux实在不会。
首先查看apache配置文件,因为不记得httpd.conf位置,可以用httpd -V查看位置:

找到这两行代码,合并引号内的地址就是httpd.conf的位置。
vi cd/etc/httpd/conf/httpd.conf打开,查找 User apache  Group apache这两项(apache即所属用户组,也可能是其他的,记住这个用户组名字)

定位到网站目录(我的是这个,根据自己的实际情况设置)cd /var/www/html,然后更改目录用户组。

apache:apache flypig   前一个apache是用户组,后一个是用户名,flypig为网站安装目录。根据具体情况设置。
然后,就可以愉快的安装主题、插件、插入代码了。


但是,任何事情都有一个但是。首页显示代码还是不能高亮,这个应该是主题的锅,我发现有一款主题可以。所以,又挖了一个坑……

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注